%define upstream_name    XML-TreeBuilder
%define upstream_version 5.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Build a tree of XML::Element objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Cover)
BuildRequires: perl(HTML::Element) >= 4.100.0
BuildRequires: perl(HTML::Tagset) >= 3.20.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(XML::Catalog)
BuildRequires: perl(XML::Parser)
BuildArch:  noarch

%description
This is just a subclass of HTML::Element. It works basically the same as
HTML::Element, except that tagnames and attribute names aren't forced to
lowercase, as they are in HTML::Element.

the HTML::Element manpage describes everything you can do with this class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 5.400.0-7.mga8
+ Revision: 1498527
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 5.400.0-6.mga7
+ Revision: 1272798
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 5.400.0-5.mga6
+ Revision: 1036164
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 5.400.0-4.mga6
+ Revision: 933364
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.400.0-3.mga5
+ Revision: 749618
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.400.0-2.mga5
+ Revision: 686969
- Mageia 5 Mass Rebuild

* Thu May 29 2014 sander85 <sander85> 5.400.0-1.mga5
+ Revision: 627540
- update to 5.4

* Tue May 27 2014 sander85 <sander85> 5.300.0-1.mga5
+ Revision: 626990
- update to 5.3

* Sat Feb 08 2014 sander85 <sander85> 5.200.0-1.mga5
+ Revision: 586523
- update to 5.2

* Mon Oct 21 2013 umeabot <umeabot> 5.0.0-2.mga4
+ Revision: 539287
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 5.0.0-1.mga4
+ Revision: 491755
- update to 5.0

* Sun Jul 21 2013 sander85 <sander85> 4.300.0-1.mga4
+ Revision: 456920
- update to 4.3

* Mon Jul 15 2013 sander85 <sander85> 4.200.0-1.mga4
+ Revision: 454738
- update to 4.2

* Sun Jan 13 2013 umeabot <umeabot> 4.100.0-2.mga3
+ Revision: 375186
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 07 2011 jquelin <jquelin> 4.100.0-1.mga1
+ Revision: 81793
- update to 4.1

* Wed Mar 02 2011 jquelin <jquelin> 4.0.0-2.mga1
+ Revision: 62656
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 4.0.0-1.mga1
+ Revision: 52321
- update to 4.0

* Sun Jan 23 2011 jquelin <jquelin> 3.90.0-1.mga1
+ Revision: 34479
- mageia rebuild
- imported package perl-XML-TreeBuilder


* Mon Jun 14 2010 Jérôme Quelin <jquelin@mandriva.org> 3.90.0-1mdv2010.1
+ Revision: 548037
- import perl-XML-TreeBuilder


* Mon Jun 14 2010 cpan2dist 3.09-1mdv
- initial mdv release, generated with cpan2dist
